<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Lacuna.RestPki.Site</name>
    </assembly>
    <members>
        <member name="M:Lacuna.RestPki.Site.Business.BusinessService.ListUnusedDocumentKeysAsync(System.String,System.String)">
            <summary>
            Queries unused document keys
            </summary>
            <remarks>
            The `DocumentKeys` returned have the property `Subscription` filled (which is required for converting to `DocumentKeySummary`)
            </remarks>
        </member>
        <member name="M:Lacuna.RestPki.Site.Business.BusinessService.SubmitCertificateForSignatureAsync(System.Byte[],System.Boolean,Lacuna.Pki.ITrustArbitrator)">
            <summary>
            Stores and optionally validates a certificate. To validate the certificate, pass a `trustArbitrator`, otherwise pass `null` to skip validation
            </summary>
        </member>
        <member name="T:Lacuna.RestPki.Site.Classes.SignatureOptionsData">
            <summary>
            This class contains the properties that are found on requests and/or on entities and that, with some business logic, will eventually be
            transformed into a `SignatureOptions`
            </summary>
        </member>
        <member name="M:Lacuna.RestPki.Site.Classes.Util.ToFileReferenceModel(Lacuna.RestPki.Api.File.FileModel,System.Action{Lacuna.RestPki.Api.FileReferenceModel})">
            The original plan was to do `FileModel : FileReferenceModel`, that is, make `FileModel` a useless subclass of `FileReferenceModel` and
            treat everything on business services as `FileReferenceModel`. However, concerns about backward-compatibility of previously compiled client
            code were raised. Thus, this seemed a more safe approach.
        </member>
        <member name="T:Lacuna.RestPki.Site.LegacyEnumEncoding">
            <summary>
            Copy of [EnumEncoding](https://bitbucket.org/Lacunas/lacunaspa3/src/develop/Engine/EnumEncoding.cs) but for enums on the legacy API project,
            which do not work on `EnumEncoding`.
            </summary>
            <remarks>
            The standard `EnumEncoding` from Lacuna SPA looks for the `Lacuna.DataAnnotations.CodeAttribute` annotation. Howeber, enums on the
            legacy API project are not decorated with that attribute, but rather with the `Lacuna.RestPki.Api.CodeAttribute` attribute. Thus,
            `EnumEncoding` cannot map enum items to codes and vice-versa. This class is a verbatim copy of it with the sole modification of
            the type of attribute to look for.
            </remarks>
        </member>
        <member name="P:Lacuna.RestPki.Site.Configuration.AppGeneralConfig.UseCustomStaticHomePage">
            <summary>
            Use the static file index.html from the theme-assets as the home page. If
            <see cref="P:Lacuna.Spa.Engine.Configuration.OidcConfig.RedirectUri"/> is not set, it will be set as <see cref="P:Lacuna.Spa.Engine.Configuration.GeneralConfig.SiteUrl"/>/private.
            </summary>
        </member>
        <member name="P:Lacuna.RestPki.Site.Configuration.InvoicingConfig.InvoicingStartYearAndMonthReference">
            <summary>
            When you want to invoice previous months, you can set a date reference here.
            This date is not the exact date of the invoicing start, but a date that
            is inside an invoicing period. (configured using ClosingDayOfMonth/ClosingTimeZone)
            </summary>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.ApplicationsController.GetAppDefaultDocumentMetadata(System.Guid)">
            <summary>
            Returns the set of metadata values that is currently added for documents created by a given application
            </summary>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.ApplicationsController.UpdateAppDefaultDocumentMetadata(System.Guid,System.Collections.Generic.Dictionary{System.String,System.Collections.Generic.List{System.String}})">
            <summary>
            Configures a set of metadata values to be added to each document created by the application
            </summary>
        </member>
        <member name="T:Lacuna.RestPki.Site.Controllers.AuthenticationController">
            <summary>
            Certificate authentication (sign in)
            </summary>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.AuthenticationController.Prepare(Lacuna.RestPki.Api.Authentication.PrepareAuthenticationRequest)">
            <summary>
            Prepares for a certificate authentication
            </summary>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.AuthenticationController.Complete(Lacuna.RestPki.Api.Authentication.CompleteAuthenticationRequest)">
            <summary>
            Completes a certificate authentication
            </summary>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.BioSessionsController.StartLivenessSession(Lacuna.RestPki.Api.Bio.Sessions.StartLivenessSessionRequest)">
            <summary>
            Creates a Liveness BioSession.
            </summary>
            <param name="request">
            See [StartLivenessSessionRequest](#model-StartLivenessSessionRequest) for session details.
            </param>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.BioSessionsController.StartEnrollmentSession(Lacuna.RestPki.Api.Bio.Sessions.StartBioEnrollmentSessionRequest)">
            <summary>
            Creates a BioEnrollmentSession.
            </summary>
            <param name="request">
            See [StartBioEnrollmentSessionRequest](#model-StartBioEnrollmentSessionRequest) for session details.
            </param>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.BioSessionsController.StartAuthenticationSession(Lacuna.RestPki.Api.Bio.Sessions.StartBioAuthenticationSessionRequest)">
            <summary>
            Creates a BioAuthenticationSession.
            </summary>
            <param name="request">
            See [StartBioAuthenticationSessionRequest](#model-StartBioAuthenticationSessionRequest) for session details.
            </param>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.CertificatesController.Get(System.String,System.Boolean,System.Boolean)">
            <summary>
            Retrieves information about a X.509 certificate previously used to sign some document
            </summary>
            <param name="thumbprintSha256">SHA-256 thumbprint in hexadecimal form of the certificate (property `thumbprintSHA256` of `CertificateModel`)</param>
            <param name="fillPemEncoded">Whether the response should include the complete certificate in PEM encoding on property `pemEncoded`. Pass `true` or `false`, if omitted `false` is assumed.</param>
            <param name="fillEncoded">Whether the response should include the complete certificate in Base64 encoding on property `encoded`. Pass `true` or `false`, if omitted `false` is assumed.</param>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.DocumentKeysController.AllocateKey(Lacuna.RestPki.Api.DocumentKeys.AllocateDocumentKeyRequest)">
            <summary>
            Allocates a document key to be used later on a document signature
            </summary>
            <remarks>
            To allocate a number of document keys at once, use the `POST /api/document-keys/batch` API instead. Limitations on the total number of unused document keys allocated may apply.
            </remarks>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.DocumentKeysController.AllocateBatch(Lacuna.RestPki.Api.DocumentKeys.AllocateDocumentKeyBatchRequest)">
            <summary>
            Allocates a batch of document keys to be used later on document signatures
            </summary>
            <remarks>
            At most 100 keys may be allocated on each request. Limitations on the total number of unused document keys allocated may apply.
            </remarks>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.DocumentKeysController.Find(System.String)">
            <summary>
            Queries documents by key
            </summary>
            <remarks>
            The key may be given either in formatted form (e.g. *XXXX-XXXX-XXXX-XXXX*) or unformatted (e.g. *XXXXXXXXXXXXXXXX*)
            
            If a document with the given key is not found, the response is a `200 (Success)` with `"found": false`.
            
            If the given key has been allocated in advance but is not yet associated with a document, the response is a `200 (Success)`
            with `"found": true` and `"hasDocument": false`. In this case, the field `provisionalMetadata` contains any provisional metadata
            passed during the document key allocation, which serves as an indicative of the metadata that a future document will likely have.
            
            Only if `"found": true` **and** `"hasDocument": true` is the field `document` filled. In this case, `provisionalMetadata` is not filled.
            </remarks>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.DocumentKeysController.ListUnused(System.String,System.String)">
            <summary>
            Queries unused document keys
            </summary>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.DocumentsController.List(Lacuna.RestPki.Site.ClientAppApi.Documents.DocumentSearchParams)">
            <summary>
            Retrieves a list of documents
            </summary>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.DocumentsController.Get(System.Guid)">
            <summary>
            Retrieves a document's details
            </summary>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.DocumentsController.GetSigners(System.Guid)">
            <summary>
            Retrieves the full information about each of a document's signers
            </summary>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.DocumentsController.FindByKey(System.String)">
            <summary>
            Finds a document's details by its key
            </summary>
            <remarks>
            The key may be given either in formatted form (e.g. *XXXX-XXXX-XXXX-XXXX*) or unformatted (e.g. *XXXXXXXXXXXXXXXX*)
            
            If a document with the given key is not found, the response is a `200 (Success)` with `"found": false`.
            </remarks>
        </member>
        <member name="T:Lacuna.RestPki.Site.Controllers.HomeController">
            This controller is intentionally left without a `Route` attribute because it is only registered if the setting
            `General:UseCustomStaticHomePage` is set to `true`. Please refer to the `Startp.Configure()` method for more information.
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.HomeController.#ctor(Lacuna.Spa.Engine.Services.ICustomizableAssetLoader)">
            This controller is intentionally left without a `Route` attribute because it is only registered if the setting
            `General:UseCustomStaticHomePage` is set to `true`. Please refer to the `Startp.Configure()` method for more information.
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.SignatureInspectionController.InspectSignature(Lacuna.RestPki.Api.SignatureInspection.InspectSignatureRequest)">
            <summary>
            Inspects a signed file, returning information about its signers and metadata about the corresponding document (if signed on this instance)
            </summary>
            <remarks>
            ## Overview
            
            The simplest usage of this API is by simply passing the `file` to be inspected. If passing a file by its contents, make sure to pass its
            `mimeType` so that the API can infer the signature type (PDF/PAdES, CMS/CAdES or XML/XmlDSig) from it.
            
            Information about each signer found is returned on the `signers` property. If the file was signed on this instance, additional information
            about the document is returned on the `document` property.
            
            Please note that by default the signatures are not validated. This means that the `validationResults` property of each signer will be `null`
            (unless the file was signed on this instance, in which case the property will be filled).
            
            ## Signature validation
            
            By default, the signed file is only inspected, but not validated. To validate the signatures, pass `validate = true`. In this case, you may
            optionally specify the `securityContextId` to be used to validate the certificates. If omitted, your default security context will be used.
            
            Please note that validating the signatures may take several seconds or even longer, depending on the number of signers. If more than 10
            signers are found, only the first 10 are validated (this limit may be increased on on-demand instances). If your documents can have a large
            number of signers per document, please consider using the signer inspection API to validate each user separately on-demand as the user
            interacts with the UI.
            
            ## Validating detached CMS/CAdES signatures 
            
            When validating detached CMS/CAdES signatures, the detached data file must be specified on the `dataFile` property or its digests must be given
            on the `dataHashes` property. If passing `dataHashes`, make sure to pass at least the SHA-256 digest of the data file (other digests may be necessary
            depending on the signature algorithm used by the signers). If your data files can be considerably large, passing the `dataHashes` is recommended
            since it avoids transmitting the actual data files through the API.
            
            If a CMS/CAdES signature is given with `validate = true` and without the corresponding data file specified, the API returns a 200 (OK) response with
            `success = false` and `failure = DataFileRequired`. This allows you to implement a validation form that lets the user submit the signature file and only
            requests the data file if necessary.
            </remarks>
        </member>
        <member name="T:Lacuna.RestPki.Site.Controllers.SignatureSessionsController">
            <summary>
            Signature session operations
            </summary>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.SignatureSessionsController.List(Lacuna.RestPki.Site.ClientAppApi.SignatureSessions.SignatureSessionSearchParams)">
            <summary>
            Retrieves a list of signature sessions
            </summary>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.SignatureSessionsController.Get(System.Guid)">
            <summary>
            Retrieves a signature session's details
            </summary>
            <remarks>
            ## Overview
            
            When a user is redirected back to your application at the end of a signature session, a query parameter is appended to the `returnUrl` containing the ID of the
            signature session, i.e. `?signatureSessionId=...`. Your app must get this parameter and use it to call this API, which will return information about the session,
            mainly its status and documents.
            
            ## Statuses
            
            When a user is redirected back to your app, the session will have one of two possible statuses: `Completed` or `UserCancelled`. You should always check the status,
            since it is perfecly normal for a user to land back on your app by cancelling the session instead of going through the procedure.
            
            ## Statuses (when background processing is enabled)
            
            If you enabled background processing of the session by passing `EnableBackgroundProcessing = true` when creating the session, then two additional statuses are possible:
            `Processing` and `ProcessingError`.
            
            While a session is still `Processing`, some documents will be in status `Processing` and cannot be downloaded. Only when the session transitions to the `Complete` status
            are all documents ready to be downloaded.
            
            The status `ProcessingError` is a rare condition that occurrs only in corner cases such as the user's certificate being revoked during the time between the
            start of the session and the completion of the background processing. It is perfectly appropriate for your app to `throw` if this status is returned.
            
            ## Downloading signed files
            
            The signed files are not returned on the body of the response. Instead, a `location` is given for each file which must be invoked to get the actual files' contents
            (see [DocumentFileModel](#model-DocumentFileModel)).
            </remarks>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.SignatureSessionsController.Create(Lacuna.RestPki.Api.SignatureSessions.CreateSignatureSessionRequest)">
            <summary>Creates a signature session</summary>
            <remarks>
            ## Overview
            
            This API creates a **signature session**, which enables your users to perform digital signatures without requiring you to implement a signature web page on your app.
            
            To create a signature session, your app specifies a `returnUrl` and receives back a `redirectUrl`. Your app then redirects the user to the `redirectUrl`, where he will 
            digitally sign documents. Once the process is complete, the user will be redirected back to your app on the *returnUrl* you specified when starting the session.
            A query parameter will be added to the `returnUrl` containing the signature session ID (`?signatureSessionId=...`). Then, your app parses the signature session ID on
            the query string and uses it to call APIs to fetch the documents signed by the user.
            
            The session can either have predefined documents that the user must sign (passed on the `Documents` collection) or allow the user to upload his own documents (in this
            case, omit the `Documents` collection).
            
            ## Showing the signature page on a new tab
            
            The default behavior is for your app to provide a `returnUrl`, and then redirect the user to the `returnUrl` returned by this API with a HTTP redirection response
            (e.g. *303 See Other*) or with a `location.href = ...` call on Javascript. By the end of the procedure, the user is redirected back to your app, all in a single browser tab.
            
            Alternatively, you may want to display the signature page on a new tab. In this case, omit the `returnUrl` parameter when creating the session. Furthermore, you must open
            the tab with an HTML anchor tag with `target="_blank"`, or with the `window.open()` function on Javascript. The tab will then be closed by the end of the process.
            
            ## Background processing
            
            By default, users are kept waiting while documents are processed before being redirected back to your application.
            
            If you want to provide your users with a faster experience, turn on background processing by passing `EnableBackgroundProcessing = true`. In this case, users do not wait
            for documents to be processed. However, your application must be ready to handle the case of a signature session whose documents are not yet available for download.
            
            ## Webhooks
            
            You may configure your Rest PKI Core subscription to inform your app of any documents that are signed on signature sessions created by it. This way, you don't
            need to rely on users landing back on your page to detect that documents have been signed. Please refer to the *Webhooks* section for more information.
            
            ## Disabling downloads
            
            If you don't receive webhook notifications of documents signed, you might feel like the signature session process is not working reliably because some users simply download
            the signed documents and don't bother to stick around while they are redirected back to your app, denying it the chance to detect that documents have been signed.
            If you feel this is a problem for your case, you can disable the downloading of signed documents by passing `DisableDownloads = true`. Then, users will only be able to
            download documents through your app, and thus will be far less inclined to quit the process prematurely.
            
            ## File name validation
            
            If you want to validate the file names that are acceptable for users to upload, you can configure the *acceptable file name pattern* on your subscription's
            configuration to a regular expression conforming to your rules.
            
            You can also configure a *file name validation endpoint*, an API implemented by your app that is called for each file selected by the user with the file's name and
            MIME type and returns whether the file should be acceptable or not (and, if not, a reason to be displayed to the user).
            </remarks>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.SignatureSessionsController.WaitForSessionCompletion(System.Guid)">
            <summary>
            Waits for the completion of a signature session
            </summary>
            <remarks>
            This API can be used when background processing is enabled on a signature session to wait for its processing.
            
            The API will hang for a short period (normally 15 seconds) waiting for the session to be completed. If it is completed during that time,
            the API returns immediately with `Completed = true`. If, however, that period elapsed and the session is still not completed, the API
            returns with `Completed = false` and with the current `Progress` (0 to 100).
            
            A client app that intends to wait for the session completion indefinitely must therefore implement a loop to call this API until
            `Completed = true` is returned. This might seem like polling (and actually is), but is different because it is a sort of "smart polling"
            since the API returns immediately once the session is completed, instead of the app having to wait for the next polling interval.
            </remarks>
        </member>
        <member name="M:Lacuna.RestPki.Site.Controllers.UploadController.Upload">
            This is an action identical to SPA's `POST /api/uploads` but returning our `FileReferenceModel` instead of SPA's `FileModel`
            and not accepting a ticket, since segmented uploads are performed with the legacy APIs (see below), which are actually better
            than the SPA APIs for segmented uploads -- see [SPA-276](https://lacuna.atlassian.net/browse/SPA-276)
            
            We intentionally did not choose `api/v2/uploads` because this will probably be chosen on SPA-276 as the route for the new
            segmented upload APIs
        </member>
        <member name="T:Lacuna.RestPki.Site.Controllers.XmlSignatureController">
            <summary>
            XML signature API
            </summary>
            <remarks>
            The following APIs were not ported from classic Rest PKI:
            
            * POST Api/XmlSignatures/DetachedResourceXmlSignature
            * POST Api/XmlSignatures/OnlineResourceXmlSignature
            * POST Api/XmlSignatures/Open (only V2 ported)
            
            Please let us know if you need these APIs.
            </remarks>
        </member>
        <member name="P:Lacuna.RestPki.Site.Entities.BioIdentificationDocument.CurrentOf">
            <summary>
            This navigation is for indexing/forein key purposes only
            and should not be loaded. Use Subject navigation instead.
            </summary>
        </member>
        <member name="P:Lacuna.RestPki.Site.Entities.BioSession.IsEnded">
            <summary>
             There are two important dates related to the "end" of a bio session:
             - DateEnded: represents the last capture/processing made on the bio processor screen (FrontEnd/Widget).
             - DateComplete: represents the time where the App backend called the complete route to retrieve session result.
            </summary>
        </member>
        <member name="P:Lacuna.RestPki.Site.Entities.BioSubjectFaceImage.CurrentOf">
            <summary>
            This navigation is for indexing/forein key purposes only
            and should not be loaded. Use Subject navigation instead.
            </summary>
        </member>
        <member name="P:Lacuna.RestPki.Site.Entities.FaceTecFaceMap.CurrentOf">
            <summary>
            This navigation is for indexing/forein key purposes only
            and should not be loaded. Use Subject navigation instead.
            </summary>
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.Spa4_0">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.Spa4_0.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.Spa4_0.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.Spa4_0.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.BioSessions">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessions.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessions.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessions.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.FortFace">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FortFace.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FortFace.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FortFace.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionQrCodes">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionQrCodes.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionQrCodes.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionQrCodes.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.ImplicitFaceTecBioSession">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.ImplicitFaceTecBioSession.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.ImplicitFaceTecBioSession.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.ImplicitFaceTecBioSession.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.FortFaceSessionsFaceOcclusionDetected">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FortFaceSessionsFaceOcclusionDetected.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FortFaceSessionsFaceOcclusionDetected.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FortFaceSessionsFaceOcclusionDetected.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.BioSubjectFacesAndInteractionMethods">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSubjectFacesAndInteractionMethods.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSubjectFacesAndInteractionMethods.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSubjectFacesAndInteractionMethods.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.FaceTecEncryptionKey">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FaceTecEncryptionKey.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FaceTecEncryptionKey.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FaceTecEncryptionKey.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionConnectionsRefactor">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionConnectionsRefactor.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionConnectionsRefactor.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionConnectionsRefactor.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionSpecifiers">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionSpecifiers.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionSpecifiers.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionSpecifiers.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.BioIdentificationDocumentFaceMatchingSessions">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioIdentificationDocumentFaceMatchingSessions.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioIdentificationDocumentFaceMatchingSessions.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioIdentificationDocumentFaceMatchingSessions.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.SubCAs">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubCAs.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubCAs.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubCAs.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionMatchLevelSettings">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionMatchLevelSettings.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionMatchLevelSettings.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionMatchLevelSettings.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionsPreferredFaceCaptureProviderCode">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionsPreferredFaceCaptureProviderCode.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionsPreferredFaceCaptureProviderCode.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionsPreferredFaceCaptureProviderCode.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.FaceIdentityVerifications">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FaceIdentityVerifications.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FaceIdentityVerifications.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FaceIdentityVerifications.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionBioSessionPlatformPreference">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionBioSessionPlatformPreference.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionBioSessionPlatformPreference.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionBioSessionPlatformPreference.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionsDateCreatedIndex">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionsDateCreatedIndex.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionsDateCreatedIndex.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionsDateCreatedIndex.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.LowQualityAuthentications">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.LowQualityAuthentications.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.LowQualityAuthentications.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.LowQualityAuthentications.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.VideoIdentificationSessions">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.VideoIdentificationSessions.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.VideoIdentificationSessions.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.VideoIdentificationSessions.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.AddSubscriptionPdfWatermarkImageJson">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddSubscriptionPdfWatermarkImageJson.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddSubscriptionPdfWatermarkImageJson.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddSubscriptionPdfWatermarkImageJson.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.VideoIdentificationResultReports">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.VideoIdentificationResultReports.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.VideoIdentificationResultReports.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.VideoIdentificationResultReports.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionVideoIdentificationPermissions">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionVideoIdentificationPermissions.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionVideoIdentificationPermissions.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionVideoIdentificationPermissions.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionFaceTecProxyPermissions">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionFaceTecProxyPermissions.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionFaceTecProxyPermissions.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionFaceTecProxyPermissions.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.AddSubscriptionMinDaysToExtendArchivalSignature">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddSubscriptionMinDaysToExtendArchivalSignature.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddSubscriptionMinDaysToExtendArchivalSignature.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddSubscriptionMinDaysToExtendArchivalSignature.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.AddVideoIdentificationDocumentExpiration">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddVideoIdentificationDocumentExpiration.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddVideoIdentificationDocumentExpiration.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddVideoIdentificationDocumentExpiration.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.FaceTecMongoSessions">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FaceTecMongoSessions.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FaceTecMongoSessions.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FaceTecMongoSessions.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.FaceTecAdditionalSessionData">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FaceTecAdditionalSessionData.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FaceTecAdditionalSessionData.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FaceTecAdditionalSessionData.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionSearchIndexes">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionSearchIndexes.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionSearchIndexes.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionSearchIndexes.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.IncreaseFaceTecSessionsUserAgent">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.IncreaseFaceTecSessionsUserAgent.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.IncreaseFaceTecSessionsUserAgent.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.IncreaseFaceTecSessionsUserAgent.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.IncreaseFaceTecSessionsDeviceModel">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.IncreaseFaceTecSessionsDeviceModel.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.IncreaseFaceTecSessionsDeviceModel.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.IncreaseFaceTecSessionsDeviceModel.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.AddTransactionMetadata">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddTransactionMetadata.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddTransactionMetadata.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddTransactionMetadata.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.FaceTecSessionIndexes">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FaceTecSessionIndexes.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FaceTecSessionIndexes.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FaceTecSessionIndexes.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.FortFaceImageQualityCheck">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FortFaceImageQualityCheck.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FortFaceImageQualityCheck.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FortFaceImageQualityCheck.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.AddSignatureSessionAndDocumentListing">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddSignatureSessionAndDocumentListing.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddSignatureSessionAndDocumentListing.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddSignatureSessionAndDocumentListing.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionInvoicing">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionInvoicing.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionInvoicing.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.SubscriptionInvoicing.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.FaceTecLiveness3dMonthlyUsers">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FaceTecLiveness3dMonthlyUsers.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FaceTecLiveness3dMonthlyUsers.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FaceTecLiveness3dMonthlyUsers.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.AddBioSessionReturnUrl">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddBioSessionReturnUrl.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddBioSessionReturnUrl.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddBioSessionReturnUrl.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.AddShowLogoInBioSession">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddShowLogoInBioSession.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddShowLogoInBioSession.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddShowLogoInBioSession.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.AddBioSessionAgent">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddBioSessionAgent.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddBioSessionAgent.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddBioSessionAgent.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.AddBioSessionReturnUrlAuthorityWhitelist">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddBioSessionReturnUrlAuthorityWhitelist.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddBioSessionReturnUrlAuthorityWhitelist.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddBioSessionReturnUrlAuthorityWhitelist.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.FixVideoIdentifcationFramesAnalyzedName">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FixVideoIdentifcationFramesAnalyzedName.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FixVideoIdentifcationFramesAnalyzedName.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.FixVideoIdentifcationFramesAnalyzedName.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.TransactionFaceTecLiveness3dMonthlyUserLatestInstallationId">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.TransactionFaceTecLiveness3dMonthlyUserLatestInstallationId.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.TransactionFaceTecLiveness3dMonthlyUserLatestInstallationId.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.TransactionFaceTecLiveness3dMonthlyUserLatestInstallationId.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.AddVideoIdentificationIdScanFailures">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddVideoIdentificationIdScanFailures.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddVideoIdentificationIdScanFailures.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddVideoIdentificationIdScanFailures.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionDateExpired">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionDateExpired.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionDateExpired.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.BioSessionDateExpired.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.AddVideoIdentificationConversion">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddVideoIdentificationConversion.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddVideoIdentificationConversion.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddVideoIdentificationConversion.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.Spa5_0">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.Spa5_0.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.Spa5_0.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.Spa5_0.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.InvoiceOrchestration">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.InvoiceOrchestration.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.InvoiceOrchestration.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.InvoiceOrchestration.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.AddFortFaceTransactions">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddFortFaceTransactions.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddFortFaceTransactions.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddFortFaceTransactions.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.AddRestrictedTimestampTiers">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddRestrictedTimestampTiers.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddRestrictedTimestampTiers.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddRestrictedTimestampTiers.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.Postgres.AddFaceTecIdScanFailures">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddFaceTecIdScanFailures.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddFaceTecIdScanFailures.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.Postgres.AddFaceTecIdScanFailures.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.Spa4_0">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.Spa4_0.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.Spa4_0.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.Spa4_0.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessions">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessions.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessions.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessions.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.FortFace">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FortFace.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FortFace.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FortFace.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionQrCodes">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionQrCodes.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionQrCodes.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionQrCodes.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.ImplicitFaceTecBioSession">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.ImplicitFaceTecBioSession.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.ImplicitFaceTecBioSession.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.ImplicitFaceTecBioSession.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.FortFaceSessionsFaceOcclusionDetected">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FortFaceSessionsFaceOcclusionDetected.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FortFaceSessionsFaceOcclusionDetected.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FortFaceSessionsFaceOcclusionDetected.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.BioSubjectFacesAndInteractionMethods">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSubjectFacesAndInteractionMethods.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSubjectFacesAndInteractionMethods.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSubjectFacesAndInteractionMethods.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.FaceTecEncryptionKey">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FaceTecEncryptionKey.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FaceTecEncryptionKey.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FaceTecEncryptionKey.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionConnectionsRefactor">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionConnectionsRefactor.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionConnectionsRefactor.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionConnectionsRefactor.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionSpecifiers">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionSpecifiers.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionSpecifiers.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionSpecifiers.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.BioIdentificationDocumentFaceMatchingSessions">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioIdentificationDocumentFaceMatchingSessions.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioIdentificationDocumentFaceMatchingSessions.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioIdentificationDocumentFaceMatchingSessions.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.SubCAs">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubCAs.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubCAs.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubCAs.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionMatchLevelSettings">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionMatchLevelSettings.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionMatchLevelSettings.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionMatchLevelSettings.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionsPreferredFaceCaptureProviderCode">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionsPreferredFaceCaptureProviderCode.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionsPreferredFaceCaptureProviderCode.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionsPreferredFaceCaptureProviderCode.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.FaceIdentityVerifications">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FaceIdentityVerifications.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FaceIdentityVerifications.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FaceIdentityVerifications.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionBioSessionPlatformPreference">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionBioSessionPlatformPreference.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionBioSessionPlatformPreference.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionBioSessionPlatformPreference.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionsDateCreatedIndex">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionsDateCreatedIndex.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionsDateCreatedIndex.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionsDateCreatedIndex.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.LowQualityAuthentications">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.LowQualityAuthentications.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.LowQualityAuthentications.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.LowQualityAuthentications.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.VideoIdentificationSessions">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.VideoIdentificationSessions.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.VideoIdentificationSessions.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.VideoIdentificationSessions.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.AddSubscriptionPdfWatermarkImageJson">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddSubscriptionPdfWatermarkImageJson.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddSubscriptionPdfWatermarkImageJson.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddSubscriptionPdfWatermarkImageJson.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.VideoIdentificationResultReports">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.VideoIdentificationResultReports.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.VideoIdentificationResultReports.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.VideoIdentificationResultReports.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionVideoIdentificationPermissions">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionVideoIdentificationPermissions.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionVideoIdentificationPermissions.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionVideoIdentificationPermissions.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionFaceTecProxyPermissions">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionFaceTecProxyPermissions.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionFaceTecProxyPermissions.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionFaceTecProxyPermissions.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.AddSubscriptionMinDaysToExtendArchivalSignature">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddSubscriptionMinDaysToExtendArchivalSignature.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddSubscriptionMinDaysToExtendArchivalSignature.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddSubscriptionMinDaysToExtendArchivalSignature.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.AddVideoIdentificationDocumentExpiration">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddVideoIdentificationDocumentExpiration.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddVideoIdentificationDocumentExpiration.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddVideoIdentificationDocumentExpiration.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.FaceTecMongoSessions">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FaceTecMongoSessions.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FaceTecMongoSessions.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FaceTecMongoSessions.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.FaceTecAdditionalSessionData">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FaceTecAdditionalSessionData.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FaceTecAdditionalSessionData.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FaceTecAdditionalSessionData.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionSearchIndexes">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionSearchIndexes.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionSearchIndexes.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionSearchIndexes.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.IncreaseFaceTecSessionsUserAgent">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.IncreaseFaceTecSessionsUserAgent.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.IncreaseFaceTecSessionsUserAgent.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.IncreaseFaceTecSessionsUserAgent.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.IncreaseFaceTecSessionsDeviceModel">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.IncreaseFaceTecSessionsDeviceModel.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.IncreaseFaceTecSessionsDeviceModel.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.IncreaseFaceTecSessionsDeviceModel.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.AddTransactionMetadata">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddTransactionMetadata.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddTransactionMetadata.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddTransactionMetadata.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.FaceTecSessionIndexes">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FaceTecSessionIndexes.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FaceTecSessionIndexes.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FaceTecSessionIndexes.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.FortFaceImageQualityCheck">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FortFaceImageQualityCheck.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FortFaceImageQualityCheck.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FortFaceImageQualityCheck.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.AddSignatureSessionAndDocumentListing">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddSignatureSessionAndDocumentListing.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddSignatureSessionAndDocumentListing.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddSignatureSessionAndDocumentListing.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionInvoicing">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionInvoicing.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionInvoicing.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.SubscriptionInvoicing.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.FaceTecLiveness3dMonthlyUsers">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FaceTecLiveness3dMonthlyUsers.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FaceTecLiveness3dMonthlyUsers.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FaceTecLiveness3dMonthlyUsers.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.AddBioSessionReturnUrl">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddBioSessionReturnUrl.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddBioSessionReturnUrl.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddBioSessionReturnUrl.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.AddShowLogoInBioSession">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddShowLogoInBioSession.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddShowLogoInBioSession.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddShowLogoInBioSession.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.AddBioSessionAgent">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddBioSessionAgent.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddBioSessionAgent.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddBioSessionAgent.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.AddBioSessionReturnUrlAuthorityWhitelist">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddBioSessionReturnUrlAuthorityWhitelist.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddBioSessionReturnUrlAuthorityWhitelist.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddBioSessionReturnUrlAuthorityWhitelist.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.FixVideoIdentifcationFramesAnalyzedName">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FixVideoIdentifcationFramesAnalyzedName.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FixVideoIdentifcationFramesAnalyzedName.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.FixVideoIdentifcationFramesAnalyzedName.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.TransactionFaceTecLiveness3dMonthlyUserLatestInstallationId">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.TransactionFaceTecLiveness3dMonthlyUserLatestInstallationId.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.TransactionFaceTecLiveness3dMonthlyUserLatestInstallationId.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.TransactionFaceTecLiveness3dMonthlyUserLatestInstallationId.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.AddVideoIdentificationIdScanFailures">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddVideoIdentificationIdScanFailures.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddVideoIdentificationIdScanFailures.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddVideoIdentificationIdScanFailures.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionDateExpired">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionDateExpired.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionDateExpired.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.BioSessionDateExpired.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.AddVideoIdentificationConversion">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddVideoIdentificationConversion.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddVideoIdentificationConversion.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddVideoIdentificationConversion.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.Spa5_0">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.Spa5_0.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.Spa5_0.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.Spa5_0.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.InvoiceOrchestration">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.InvoiceOrchestration.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.InvoiceOrchestration.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.InvoiceOrchestration.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.AddFortFaceTransactions">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddFortFaceTransactions.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddFortFaceTransactions.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddFortFaceTransactions.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.AddRestrictedTimestampTiers">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddRestrictedTimestampTiers.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddRestrictedTimestampTiers.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddRestrictedTimestampTiers.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Migrations.SqlServer.AddFaceTecIdScanFailures">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddFaceTecIdScanFailures.Up(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddFaceTecIdScanFailures.Down(Microsoft.EntityFrameworkCore.Migrations.MigrationBuilder)">
            <inheritdoc />
        </member>
        <member name="M:Lacuna.RestPki.Site.Migrations.SqlServer.AddFaceTecIdScanFailures.BuildTargetModel(Microsoft.EntityFrameworkCore.ModelBuilder)">
            <inheritdoc />
        </member>
        <member name="T:Lacuna.RestPki.Site.Services.AppSystemInfoProvider">
            This service overrides the default SPA implementation of the returned model on `/api/system/info`. This is required
            to keep backward compatibility with existing client libs which expect the `ProductVersion` field to be a simple version
            value (a.b.c.d), without an annotation after.
        </member>
        <member name="M:Lacuna.RestPki.Site.Services.FileResolver.NormalizeAsync(Lacuna.RestPki.Api.FileReferenceModel)">
            <summary>
            Transforms the file into a reference to a blob (if not already), and fills any missing metadata that can be inferred. This method
            also makes the `Length` property reliable.
            </summary>
        </member>
        <member name="P:Lacuna.RestPki.Site.Services.Invoicing.InvoicesRepository.unbilledTransactions">
            <summary>
            This query is used to retrieve transactions that have not been billed yet.
            Attention: this query is used in the `SubscriptionInvoiceJob` and should be kept as efficient as possible, filling only the necessary fields.
            </summary>
        </member>
        <member name="P:Lacuna.RestPki.Site.Services.RequestContext.RequestSubscriptionDbId">
            <summary>
            If RequestSubscription exists, returns its DbSubscriptionId
            </summary>
        </member>
        <member name="M:Lacuna.RestPki.Site.Services.RequestContext.LoadBioApiSessionAttributesAsync(System.String)">
            <summary>
            Validates the BioApiSession and overrides the request subscription and agent context if applicable.
            </summary>
        </member>
        <member name="M:System.Threading.CancellationTokenExtensions.WhenCancelled(System.Threading.CancellationToken)">
            <summary>
            Returns a task that completes when the given CancellationToken is cancelled
            </summary>
        </member>
    </members>
</doc>
